v1.0 · Production ready
API Reference
Every catalog, order, fitment, and warehouse action is available over a clean REST API. Auth via bearer tokens, JSON in / JSON out.
99.95% uptime
Multi-region failover
OAuth 2 + API keys
Per-role scopes
JSON / Webhooks
Realtime events
GET
/api/v1/productsList all products with filters
GET
/api/v1/products/:idFetch a single product
POST
/api/v1/products AuthCreate a product
PATCH
/api/v1/products/:id AuthUpdate a product
DELETE
/api/v1/products/:id AuthRemove a product
Sample request
POST /api/v1/orders
Authorization: Bearer <token>
Content-Type: application/json
{
"items": [
{ "productId": "p1", "qty": 4 }
],
"fulfilment": "centre",
"centreId": "c1",
"bookingDate": "2026-05-08",
"bookingSlot": "10:30"
}
→ 201 Created
{
"id": "ORD-1042",
"status": "confirmed",
"total": 816,
"estimatedReady": "2026-05-07T18:00:00Z"
}SDK availability
JavaScript / TypeScript
Python
PHP
Ruby
Go
Webhooks
Subscribe to order.*, job.*, and stock.* events.